Assembly Challenge: hypnotic geometric thing

Discussion about the development of the Assembly workbench.
User avatar
Zolko
Posts: 649
Joined: Mon Dec 17, 2018 10:02 am

Re: Assembly Challenge: hypnotic geometric thing

Post by Zolko » Mon Mar 04, 2019 2:04 pm

Zolko wrote:
Mon Mar 04, 2019 1:50 pm
And here is the assembly using your sketch as base (with Asm4):
and here are the assembly files. You can animate with:

Code: Select all

for angle in range( 0, 361, 1 ):
	App.activeDocument().LCS_rot.AttachmentOffset = App.Placement( App.Vector(25,0,0), App.Rotation( App.Vector(0,0,1), angle ) )
	App.activeDocument().recompute()
	FreeCADGui.updateGui()
Attachments
Hypnotic.zip
(131.46 KiB) Downloaded 28 times
try the Assembly4 workbench for FreCAD v0.19
install with Tools > Addon Manager > Assembly4 — tutorials here and here
User avatar
Kunda1
Posts: 6463
Joined: Thu Jan 05, 2017 9:03 pm

Re: Assembly Challenge: hypnotic geometric thing

Post by Kunda1 » Sat Mar 09, 2019 8:37 pm

Should we add some of these examples to the upcoming release content (changelog? or video reel ?)
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
User avatar
uwestoehr
Posts: 1095
Joined: Sun Jan 27, 2019 3:21 am

Re: Assembly Challenge: hypnotic geometric thing

Post by uwestoehr » Sun Dec 08, 2019 10:34 pm

kbwbe wrote:
Thu Feb 28, 2019 10:38 pm
and now without sketcher but with A2plus...
Here is an interactive solution: https://www.freecadweb.org/wiki/A2plus_ ... ve_Example
Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests